_OrtpVideoBandwidthEstimatorParams Struct Reference

`#include <rtpsession.h>`

## Data Fields

int | enabled
unsigned int | packet_count_min
unsigned | min_required_measurements
unsigned int | trust_percentage

## Detailed Description

Structure describing the video bandwidth estimator parameters

## Field Documentation

## enabled

int _OrtpVideoBandwidthEstimatorParams::enabled

Whether estimator is enabled or off.

## min_required_measurements

unsigned _OrtpVideoBandwidthEstimatorParams::min_required_measurements

Minimum number of measurements required to make an estimate

## packet_count_min

unsigned int _OrtpVideoBandwidthEstimatorParams::packet_count_min

minimum number of packets with the same sent timestamp to be processed continuously before being used

## trust_percentage

unsigned int _OrtpVideoBandwidthEstimatorParams::trust_percentage

percentage for which the chosen bandwidth value in all available will be inferior

The documentation for this struct was generated from the following file:

- rtpsession.h